com.creamtec.ajaxswing.laf.ui

## Class AjaxSwingButtonUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ButtonUI
    - - javax.swing.plaf.basic.BasicButtonUI
      - - javax.swing.plaf.metal.MetalButtonUI
        - - com.creamtec.ajaxswing.laf.ui.AjaxSwingButtonUI

-     public class AjaxSwingButtonUI
      extends javax.swing.plaf.metal.MetalButtonUI

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingButtonUI()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javax.swing.plaf.ComponentUI` | `createUI(javax.swing.JComponent c)`
    `void` | `installDefaults(javax.swing.AbstractButton b)`
    `void` | `update(java.awt.Graphics g, javax.swing.JComponent c)`

    - ### Methods inherited from class javax.swing.plaf.metal.MetalButtonUI

      `uninstallDefaults`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicButtonUI

      `getBaseline, getBaselineResizeBehavior, getDefaultTextIconGap, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxSwingButtonUI

          public AjaxSwingButtonUI()

  - ### Method Detail

    - #### createUI

          public static javax.swing.plaf.ComponentUI createUI(javax.swing.JComponent c)

    - #### installDefaults

          public void installDefaults(javax.swing.AbstractButton b)

      Overrides:
        `installDefaults` in class `javax.swing.plaf.metal.MetalButtonUI`

    - #### update

          public void update(java.awt.Graphics g,
                    javax.swing.JComponent c)

      Overrides:
        `update` in class `javax.swing.plaf.metal.MetalButtonUI`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.